    attribute vec3 position;
    attribute vec3 normal;
    attribute vec2 uv;
    
    varying vec2 uvVarying;
    uniform vec4 uvBounds0; // to adjust for atlas sub images
    uniform mat4 agk_WorldViewProj;
	
    void main()
    {
        gl_Position = agk_WorldViewProj * vec4(position,1);
        uvVarying = uv * uvBounds0.xy + uvBounds0.zw;
    }